// This file is auto-generated by @hey-api/openapi-ts

export type Body_Dashboard_login_access_token = {
    grant_type?: (string | null);
    username: string;
    password: string;
    scope?: string;
    client_id?: (string | null);
    client_secret?: (string | null);
};

export type Body_Shop_login_access_token = {
    grant_type?: (string | null);
    username: string;
    password: string;
    scope?: string;
    client_id?: (string | null);
    client_secret?: (string | null);
};

export type HTTPValidationError = {
    detail?: Array<ValidationError>;
};

export type ShopAddress = {
    street: string;
    city: string;
    state: string;
    postal_code: string;
    country: string;
};

export type ShopCreate = {
    name: string;
    description: string;
    currency: string;
    contact_email: string;
    contact_phone_number: string;
    address: ShopAddress;
};

export type Token = {
    access_token: string;
    token_type?: string;
};

export type UserPublic = {
    uuid: string;
    username: string;
    email: string;
    first_name: (string | null);
    last_name: (string | null);
    phone_number: string;
};

export type UserRegister = {
    username: string;
    email: string;
    phone_number: string;
    /**
     * Password must conform to this regex:
     * ```
     * ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[#?!@$ %^&*-]).{8,128}$
     * ```
     */
    password: string;
};

export type UserUpdate = {
    email: (string | null);
    phone_number: (string | null);
    username: (string | null);
    first_name?: (string | null);
    last_name?: (string | null);
};

export type ValidationError = {
    loc: Array<(string | number)>;
    msg: string;
    type: string;
};

export type UserGetUserResponse = (UserPublic);

export type UserUpdateUserData = {
    requestBody: UserUpdate;
};

export type UserUpdateUserResponse = (boolean);

export type UserRegisterData = {
    requestBody: UserRegister;
};

export type UserRegisterResponse = (boolean);

export type UserDeleteUserResponse = (boolean);

export type DashboardLoginAccessTokenData = {
    formData: Body_Dashboard_login_access_token;
};

export type DashboardLoginAccessTokenResponse = (Token);

export type DashboardRegisterNewShopData = {
    requestBody: ShopCreate;
};

export type DashboardRegisterNewShopResponse = (boolean);

export type ShopLoginAccessTokenData = {
    formData: Body_Shop_login_access_token;
};

export type ShopLoginAccessTokenResponse = (Token);

export type ShopDeleteUserData = {
    shopUuid: unknown;
};

export type ShopDeleteUserResponse = (unknown);

export type ShopLogoutResponse = (unknown);

export type ShopRegisterData = {
    requestBody: UserRegister;
    shopUuid: unknown;
};

export type ShopRegisterResponse = (unknown);

export type ShopUpdateUserData = {
    requestBody: {
        [key: string]: unknown;
    };
};

export type ShopUpdateUserResponse = (unknown);

export type UtilsHealthCheckResponse = (boolean);

export type UtilsTestDbResponse = (boolean);